Summary: Perl extention for scientific and numerical analyses
Name: PDL
%define version 2.003
Version: %{version}
Release: 1a
Copyright: LGPL
Group: Development/Languages
Source: PDL-%{version}.tar.gz
Patch: PDL-%{version}-conf.patch
Requires: perl
BuildRoot: /tmp/pdl-root

%description
The perlDL project aims to turn perl into an efficient numerical language for
scientific computing. The PDL module gives standard perl the ability to
COMPACTLY store and SPEEDILY manipulate the large N-dimensional data sets which
are the bread and butter of scientific computing. e.g. C<$a=$b+$c> can add two
2048x2048 images in only a fraction of a second.

%prep
%setup -n PDL-%{version}
%patch -p1

rm -rf $RPM_BUILD_ROOT
archdir=`perl -V | sed -ne 's; */usr/lib/perl5/site_perl/\(5\.[0-9]*/.*\);\1;p'`
mkdir -p $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/${archdir}/auto/PDL
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/lib/perl5/man/man3

%build
perl Makefile.PL
make OPTIMIZE='-O0 -fsigned-char'

%install
archdir=`perl -V | sed -ne 's; */usr/lib/perl5/site_perl/\(5\.[0-9]*/.*\);\1;p'`
make install PREFIX=$RPM_BUILD_ROOT/usr \
	INSTALLMAN1DIR=$RPM_BUILD_ROOT/usr/man/man1 \
        INSTALLMAN3DIR=$RPM_BUILD_ROOT/usr/lib/perl5/man/man3 \
	PERL5LIB=$RPM_BUILD_ROOT/usr/lib/perl5/site_perl/${archdir}

(cd $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/${archdir}/auto/PDL;
        sed -e "s;$RPM_BUILD_ROOT;;" .packlist > .packlist.new;
        mv .packlist.new .packlist)
(cd $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/${archdir}/PDL/HtmlDocs/PDL;
	for i in Config.html Version.html pod2html-dircache pod2html-itemcache;
	do 
		sed -e "s;$RPM_BUILD_ROOT;;" $i > $i.new;
		mv $i.new $i;
	done)

echo "%doc COPYING Changes INSTALL Known_problems README TODO" > rpm-list
echo "%doc Example Demos" >> rpm-list
ls -d $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/${archdir}/PDL* | \
        sed -e "s;$RPM_BUILD_ROOT;;" >> rpm-list
ls -d $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/${archdir}/auto/* | \
        sed -e "s;$RPM_BUILD_ROOT;;" >> rpm-list
ls -d $RPM_BUILD_ROOT/usr/lib/perl5/man/man3/* | \
        sed -e "s;$RPM_BUILD_ROOT;;" >> rpm-list
ls -d $RPM_BUILD_ROOT/usr/bin/* | \
        sed -e "s;$RPM_BUILD_ROOT;;" >> rpm-list
ls -d $RPM_BUILD_ROOT/usr/man/man1/* | \
        sed -e "s;$RPM_BUILD_ROOT;;" >> rpm-list

%clean
rm -rf $RPM_BUILD_ROOT

%files -f rpm-list

%changelog
* Sat Nov 20 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- updated to version 2.003
- restored ppport.h since the latest gimp is compatible with it.

* Mon Jul 12 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- updated to version 2.002
- removed g2c patch
- removed ppport.h since it conflicts with that in gimp.

* Fri Apr 23 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- rebuilt with perl5.005_03

* Sun Feb 7 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release with version 2.0

